Bug 453713 - Review Request: mm3d - 3D model editor
Review Request: mm3d - 3D model editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-02 03:12 EDT by Dan Horák
Modified: 2010-05-11 00:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-05 02:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kwizart: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2008-07-02 03:12:21 EDT
Spec URL: http://fedora.danny.cz/mm3d.spec
SRPM URL: http://fedora.danny.cz/mm3d-1.3.7-1.fc10.src.rpm

Description:
Misfit Model 3D is an OpenGL-based 3D model editor that works with
triangle-based models. It supports multi-level undo, skeletal animations,
simple texturing, scripting, command-line batch processing, and a plugin
system for adding new model and image filters. Complete online help
is included. It is designed to be easy to use and easy to extend
with plugins and scripts.

Package builds in Rawhide/x86_64 (via mock) and rpmlint is silent on all packages.
Comment 1 Nicolas Chauvet (kwizart) 2008-07-03 12:26:24 EDT
- starting review -
Comment 2 Nicolas Chauvet (kwizart) 2008-07-03 13:59:42 EDT
* According to our packaging guidelines, the package name is the name of the
tarball. But in this case, the real name of the software seems to be
misfitmodel3d where mm3d is the reducted name. Maybe there will be a problem while
* You have picked an development version. According to the remaining patch
needed to be supported on Fedora, it is probably needed. (I will test for
runtime usability)
* It would be nice to have lua pkg-config detection within configure.in (instead
of parsing the %configure )
* mock build in rawhide succeed for all primary arches
http://koji.fedoraproject.org/koji/taskinfo?taskID=694800
* runtime library requirement (rpm -qR mm3d) are the same for mock build and
local build (tested on F-8 x86_64).
* rpmlint is quiet on installed package.
* I tought we started to avoid using "fedora" with desktop file (at least for
new packages), but according to
https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage
this hasn't been updated, so I leave this up to you.
* The desktop file contains mimetype, you need to run update-desktop-database
according to 
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database
* DocPath=mm3d/index.html
I'm not sure this path remains correct now that the docs have moved. I cannot
test as i'm not a KDE users. But maybe it will be better to use
%doc %{_docdir}/%{name}/* instead of removing and picking it from the buildtree
(this will prevent to bundle Makefile.* at least).
* Translation are present in /usr/share/mm3d/i18n (even qt_??.qm)
I don't know if qt4 translations can obey to the find_lang macro and then be
installed in /usr/share/locales/...
At least providing the even qt_??.qm seems wrong to me (and seems to work
without them)
* The plugin menu seems empty whereas you have packaged two modules for mm3d.
Maybe there is something wrong with the plugin path within the code (at least,
it do not work on F-8 x86_64). So I cannot import/export 3ds files.
So -DSHARED_PLUGINS=\\\"%{_libdir}/%{name}\\\"" doesn't seems enought.
I cannot make the plugins appear in the menu with using ln -sf /usr/lib64/mm3d
/usr/share/mm3d/plugins either.
* Be careful with the fact that this package bundled it's own copy of the lib3ds
library.


Comment 3 Dan Horák 2008-07-03 17:13:55 EDT
(In reply to comment #2)
> * According to our packaging guidelines, the package name is the name of the
> tarball. But in this case, the real name of the software seems to be
> misfitmodel3d where mm3d is the reducted name. Maybe there will be a problem while

I think using the short name is legal, but some kind of solution can be to add
extra Provides: misfitmodel3d, so searching with yum will find the package.

> * You have picked an development version. According to the remaining patch
> needed to be supported on Fedora, it is probably needed. (I will test for
> runtime usability)

I am working with the upstream author for many months mainly sending him patches
that add support for the bleeding-edge development environment in Rawhide. Using
current stable version is not an option for Fedora.

> * It would be nice to have lua pkg-config detection within configure.in (instead
> of parsing the %configure )

Yes, it would be nice, but lua in Fedora is compatible with the used autoconf
infrastructure, so don't want to touch it.

> * I tought we started to avoid using "fedora" with desktop file (at least for
> new packages), but according to
> https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage
> this hasn't been updated, so I leave this up to you.

There was even a discussion about using only validation when upstream has a
correct desktop file.

> * The desktop file contains mimetype, you need to run update-desktop-database
> according to 
> https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database

ok, I will add them

> * DocPath=mm3d/index.html
> I'm not sure this path remains correct now that the docs have moved. I cannot
> test as i'm not a KDE users. But maybe it will be better to use
> %doc %{_docdir}/%{name}/* instead of removing and picking it from the buildtree
> (this will prevent to bundle Makefile.* at least).

The path is probably not valid, but the main goal was to move the docs where
Fedora expect them (they are used as both an online help and classic offline
docs). But I can update it to %{name}-%{version}/html/index.html that will
hopefully work for KDE users. Your packaging idea for the html docs is better
then mine, I will use it.

> * Translation are present in /usr/share/mm3d/i18n (even qt_??.qm)
> I don't know if qt4 translations can obey to the find_lang macro and then be
> installed in /usr/share/locales/...
> At least providing the even qt_??.qm seems wrong to me (and seems to work
> without them)

I don't know the details of qt4 translation system, but I think they are
incompatible with standard locale support. Translations for QT4 itself live in
%{datadir}/qt4/translations. At least I will remove the qt_??.qm files.

> * The plugin menu seems empty whereas you have packaged two modules for mm3d.
> Maybe there is something wrong with the plugin path within the code (at least,
> it do not work on F-8 x86_64). So I cannot import/export 3ds files.
> So -DSHARED_PLUGINS=\\\"%{_libdir}/%{name}\\\"" doesn't seems enought.
> I cannot make the plugins appear in the menu with using ln -sf /usr/lib64/mm3d
> /usr/share/mm3d/plugins either.

It was working on my machine, but after rechecking I see that I updated the
problematic symlink in $HOME/.mm3d manually some time ago. I will work on a
proper solution (using versioned plugin directory will be the easy one).

> * Be careful with the fact that this package bundled it's own copy of the lib3ds
> library.

I am aware of it, the makefile of the plugin is patched to use the system lib3ds.

I will post updated package soon :-)
Comment 4 Dan Horák 2008-07-04 06:38:36 EDT
Updated Spec URL: http://fedora.danny.cz/mm3d.spec
Updated SRPM URL: http://fedora.danny.cz/mm3d-1.3.7-2.fc10.src.rpm

ChangeLog
- fix plugin installation directory
- change how the docs are installed
- remove DocPath in the desktop file
- add scriptlets for updating the desktop database

I will contact the author with changes that will make the upstream desktop file
conform to the freedesktop.org standards.
Comment 5 Nicolas Chauvet (kwizart) 2008-07-04 08:19:33 EDT
Good !

----------------

This package (mm3d) is APPROVED by me

----------------
Comment 6 Dan Horák 2008-07-04 08:36:56 EDT
New Package CVS Request
=======================
Package Name: mm3d
Short Description: 3D model editor
Owners: sharkcz
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-07-04 16:35:21 EDT
cvs done.
Comment 8 Dan Horák 2008-07-05 02:32:23 EDT
imported and built

Thanks for the review.
Comment 9 Dan Horák 2010-05-10 05:10:09 EDT
Package Change Request
======================
Package Name: mm3d
New Branches: EL-5 EL-6
Owners: sharkcz
Comment 10 Kevin Fenzi 2010-05-11 00:37:10 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.